goalGatherShutterParts.mSteps = 
{
	-- start
	{ action = "click", object = objectPorchWindowMechRusty },
	{ action = "click", object = objectShedShuttermanualManualClosed },
	-- rag
	{ action = "click", object = objectShedRag },
	-- oil
	{ action = "click", object = objectShedLawnmowerHitarea },
	{ action = "click", object = objectShedSmallwheel1 },
	{ action = "click", object = objectShedSmallwheel2 },
	{ action = "click", object = {objectShedLawnmowerHitareaWheelleft, objectShedLawnmowerHitareaWheelright}, selection = {objectShedSmallwheel1, objectShedSmallwheel2} },
	{ action = "click", object = objectShedLawnmowerAntirust },
	-- screw / screwdriver
	{ action = "click", object = objectShedToolboxLocked },
	{ action = "click", object = objectShedToolboxKeyhitarea },
	{ action = "click", object = objectShedToolboxkey },
	{ action = "click", object = objectShedToolboxKeyhitarea, selection = objectShedToolboxkey },
	{ action = "click", object = objectShedScrew },
	{ action = "click", object = objectShedScrewdriver },
	-- window level
	{ action = "click", object = objectPorchWindowlever },
	
}
goalGatherShutterParts.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherShutterParts:onStarted()
    
    -- Unlock POI triggers:
    objectShedCabinet:ss(kActive)
    objectShedLawnmowerHitarea:ss(kActive)
    objectShedToolboxLocked:ss(kActive)
    
    objectShedToolboxKeyhitarea:ss(kActive)
    objectShedLawnmowerDown:ss(kActive)
    
    -- Fill Shopping list:
    objectPorchWindowlever:ss(kActive)
    objectShedRag:ss(kActive)
    objectShedScrewdriver:ss(kHidden)
    objectShedScrew:ss(kHidden)
    objectShedLawnmowerAntirust:ss(kHidden)
    
    -- Highlight animations
    objectShedToolboxShine:ss(kIdle)
    layoutShed:showToolboxHighlight()
    
	objectShedLawnmowerShine:ss(kIdle)
	layoutShed:showLawnmowerHighlight()
    
end
-- ----------------------------------------------------------------------------
function goalGatherShutterParts:onClickObject(layout, object, props, x, y)

	if ((self.readyToStart == false) and (object == objectShedShuttermanualManualClosed)) then
		self.readyToStart = true
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherShutterParts:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherShutterParts:onClickHO(layout, object, props, x, y)

	local allFound = true
	local allFoundOrUsed = true
	
	allFound = allFound and objectShedScrew:isFound()
	allFound = allFound and objectShedScrewdriver:isFound()
	allFound = allFound and objectPorchWindowlever:isFound()
	allFound = allFound and objectShedRag:isFound()
	allFound = allFound and objectShedLawnmowerAntirust:isFound()
	
	allFoundOrUsed = allFoundOrUsed and objectShedScrew:isFoundOrUsed()
	allFoundOrUsed = allFoundOrUsed and objectShedScrewdriver:isFoundOrUsed()
	allFoundOrUsed = allFoundOrUsed and objectPorchWindowlever:isFoundOrUsed()
	allFoundOrUsed = allFoundOrUsed and objectShedRag:isFoundOrUsed()
	allFoundOrUsed = allFoundOrUsed and objectShedLawnmowerAntirust:isFoundOrUsed()

	if (allFound) then
		think("MESSAGE_OPEN_SHUTTERS")
	end

	if (allFoundOrUsed) then
		self:achieved()
	end
	
end